#!/usr/bin/env python
# coding: UTF-8
class tragtorLang:
	
	language = "en"

### ERRORS

	error_infile_not_accessible = """### FEHLER: Die Datei '%s' kann nicht gelesen werden.
	
	Stelle sicher, dass Du eine gültige Datei gewählt hast und Leserechte für die Datei besitzt.
	In seltenen Fällen kann der Grund auch eine Null-Bytes Datei sein.
"""

	error_infile_not_readable = """### FEHLER: Die Datei '%s' kann nicht verarbeitet werden.
	
	Hast Du alle nötigen Codecs installiert?
	Je nachdem, wie Du ffmpeg kompiliert hast, könnten dort auch einige Optionen fehlen.
	
	In UBUNTU beispielsweise haben die ffmpeg-Versionen regelmässig keinen MP3-Support.
	Um trotzdem mit diesen Formaten zu arbeiten, kannst Du Dir a) ffmpeg aus den Quellen
	selberkompilieren, oder b) auf UBUNTU-Systemen - die Medibuntuquellen einbinden
	und mit Hilfe der "Version erzwingen"-Funktion in Synaptic die ältere ffmpeg-Version
	installieren. Mehr Informationen:
	
	http://ffmpeg.mplayerhq.hu/ (Englisch)
	http://www.thedesignexperience.org/weblog/one-entry?entry_id=113488 (Englisch)
	http://wiki.ubuntuusers.de/FFmpeg
	
	und natürlich http://www.google.de/search?q=ffmpeg
	
	Deine aktuellen Optionen beim Kompilieren von ffmpeg:
	
%s

# Lesbare Dateiformate:
	%s

# Schreibbare Dateiformate:
	%s

# Lesbare Audio-Codecs:
	%s
	
# Schreibbare Audio-Codecs:
	%s

# Lesbare Video-Codecs:
	%s

# Schreibbare Video-Codecs:
	%s
"""
	error_message_title = "Fehler!"
	error_message_file_not_readable = "Die angegebene Quelldatei ist nicht lesbar!"
	error_message_file_not_inmedia = "Die angegebene Quelldatei ist keine importierbare Mediendatei!"
	error_message_file_not_writeable = "Die angegebene Zieldatei ist nicht schreibbar!"
	error_message_file_not_outmedia = "Die angegebene Zieldatei ist keine exportierbare Mediendatei!"
	
	error_message_noaudio = "Keine Audiostreams gefunden!"
	error_message_novideo = "Keine Videostreams gefunden!"
	
	error_button_not_readable = "Die Quelldatei ist nicht lesbar"
	error_button_not_inmedia = "Die Quelldatei ist keine Mediendatei"
	error_button_not_writeable = "Die Zieldatei ist nicht schreibbar"
	error_button_not_outmedia = "Die Zieldatei ist keine Mediendatei"
	error_button_inasout = "Die Zieldatei ist dieselbe, wie die Quelle"
	error_button_duration = "Die Zeitangaben sind nicht korrent"
	error_button_size = "Du willst ein Video mit 0 Pixeln Größe erstellen"
	error_button_bitrate = "Der Wert einer Bitrate ist ungültig"
	error_button_framerate = "Der Wert der Framerate ist ungültig"
	error_button_samplerate = "Der Wert für die Samplerate ist ungültig"
	error_button_channels = "Der Wert für die Audiokanäle ist ungültig"
	error_button_no_audio = "Du willst eine Audiodatei ohne Audio erstellen"
	error_button_no_content = "Du willst eine Datei ohne Inhalt erstellen"
	error_button_no_audio_bitrate = "Du willst eine Audiodatei mit 0 kb/s erstellen"
	error_button_no_video_bitrate = "Du willst eine Videodatei mit 0 kb/s erstellen"
	
	error_cant_proceed = "Mit diesen Einstellungen kannst Du leider nicht fortfahren."
	
### BUTTONS

	proceed_button_active = "Zeig' mir das Licht!"
	proceed_button_overwrite = "Kann angehen, allerdings wird\ndie Datei überschrieben"
	proceed_button_inactive = "Noch geht nichts:\n%s"	

### INFILE TEXTAREA

	infile_textarea_pre = """### Informationen über die Quell-Datei:
"""
	infile_textarea_post = ""
	infile_format_info = """
	Datei: %s
	Größe: %sBytes
	Container: %s
	Bitrate: %s k/bs
	Dauer: %s
"""
	infile_stream_main_info = """
	Stream-ID: %s
	Format: %s
	Codec: %s
"""	
	infile_stream_audio_info = """	Samplerate: %s hz
	Kanäle: %s
	Audio-Bitrate: %s kb/s
"""
	infile_stream_video_info = """	Methode: %s
	Größe: %s
	FPS: %s fps
"""

### META COMMENT
	
	meta_comment_text = """Encoder ffmpeg & traGtor"""
	
### QUESTIONS/CONFIRMATIONS
	
	question_title = "Bestätigung"
	question_overwrite_preset = "Soll die Voreinstellung %s wirklich überschrieben werden?"
	question_delete_preset = "Soll die Voreinstellung %s wirklich gelöscht werden?"


### TEXTLABELS

	# page-labels
	infile_label = """Zuerst musst Du eine \
Datei zum Konvertieren angeben. Wenn die Datei \
von ffmpeg gelesen werden kann, werden Dir rechts \
ein paar Informationen angezeigt."""
	outfile_label = """Zuguterletzt noch die Ausgabedatei wählen:"""
	suffix_label = """Endung"""
	meta_label = """META-Informationen bearbeiten. \
Diese Daten werden in der Datei gespeichert und beeinflussen keine \
Dateiangaben, wie z.B. den Dateiamen (Einige Codecs unterstützen das nicht!)"""
	proceed_label = """Mit den Einstellungen Rendern. \
Die Ausgabe von ffmpeg wird Dir in dem Bereich rechts angezeigt, \
sobald der Prozess beendet ist."""
	format_video_label = "Videoeinstellungen"
	format_audio_label = "Audioeinstellungen"
	format_render_label = "Rendereinstellungen"
	format_results_label = "Ergebnis"
	settings_label = """Hier kannst Du einige Grundeinstellungen für diese \
Oberfläche vornehmen."""
	
### NOTEBOOKS

	infile_notebook = "Quelldatei"
	outfile_notebook = "Zieldatei"
	format_notebook = "Format"
	meta_notebook = "Meta"
	proceed_notebook = "Ausführen"
	settings_notebook = "Einstellungen"

### TITLES

	infile_title = "Quelle wählen"
	outfile_title = "Ziel wählen"
	format_title = "Formateinstellungen"
	meta_title = "Meta-Angaben"
	proceed_title = "Ausführen"
	settings_title = "Einstellungen"
		
### INPUT_VALUES

	meta_title_label = "Titel"
	meta_author_label = "Autor"
	meta_copyleft_label = "Copyright"
	meta_comment_label = "Kommentar"
	meta_toggle_label = "Aktivieren"
	
	format_width_label = "Breite"
	format_height_label = "Höhe"
	format_ratio_label = "Verhältnis"
	format_fixedratio_label = "Festes Verh."
	format_framerate_label = "Bildrate / s"
	format_deinterlace_label = "Deinterlace"
	
	format_audiosamplerate_label = "Samplerate"
	format_audiobitrate_label = "Bitrate (kb/s)"
	format_forcecodec_label = "Codec erzwingen\n(sonst Dateiname)"
	format_audiochannels_label = "Audiokanäle"
	format_disableaudio_label = "Audio\ndeaktivieren"
	format_disablevideo_label = "Video\ndeaktivieren"
	format_2pass_label = "2-Pass"
	format_codec_label = "Codec erzwingen\n(sonst Dateiname)"
	format_bitrate_label = "Bitrate (kb/s)"
	format_offset_label = "Start Offset / s"
	format_duration_label = "Dauer / s"
	format_scaling_label = "Skalierung"
	format_padcolor_label = "Leerraum"
	
### PRESETS
	
	presets_label = "Voreinstellungen:"

### FORMAT-INFO
	
	format_target_info_av = """Eine Videodatei mit Bild und Ton
wird <b>%s</b> lang sein
und etwa <b>%sBytes</b> Speicher belegen."""
	format_target_info_video = """Als Video ohne Ton hat die Datei
eine Länge von <b>%s</b> und
die endgültige Größe von etwa <b>%sBytes</b>."""
	format_target_info_audio = """Eine reine Audiodatei von
<b>%s</b> Länge ist mit diesen
Einstellungen <b>%sBytes</b> groß."""
	format_target_info = """%s
Die endgültige Grösse kann variieren."""
	format_target_info_nothing = """Du must mindestens einen von beiden
Streams (Audio oder Video) aktivieren."""
	format_target_nofile = "Du hast noch keine valide Datei gewählt."
	
### SETTINGS
	
	settings_language_label = "Sprache wählen"
	settings_reset_label = "Das Programm auf Ausgangswerte zurücksetzen"
	settings_reload_label = "Die Quelldatei neu einlesen und Format- und Meta-Angaben zurücksetzen"
	settings_reset_button = "Zurücksetzen"
	settings_reload_button = "Neu einlesen"
		
### LISTS

	format_scalingmethods_list = [ "Leerraum", "Beschneiden", "Verzerren" ]
	output_file_suffix_auto = "Nach Dateiname"

### SYSTEM

	datestring = "%d.%m.%Y %H:%M:%S"
	hour = "Stunde"
	hours = "Stunden"
	minute = "Minute"
	minutes = "Minuten"
	second = "Sekunde"
	seconds = "Sekunden"
	frames = "Bilder"
	_and = "und"
	
	changed = "geändert!"
	
	title_infile_mediafiles = "Lesbare Mediendateien"
	title_infile_allfiles = "Alle Dateien"
	title_outfile_mediafiles = "Schreibbare Mediendateien"
	title_outfile_allfiles = "Alle Dateien"

### CONFIRMATION-WINDOW

	title_confirmation_window = "Bestätigung"
	label_confirmation = """Sind die Einstellungen
so richtig? Du kannst
die Befehlszeile auch
bearbeiten, die an ffmpeg
geschickt wird.
"""
	label_confirm_commandline = "Befehlszeile"
	label_confirm_infile = "Quelle: %s"
	label_confirm_outfile = "Ziel: %s"
	label_confirm_insize = "Größe: %sBytes"
	label_confirm_outsize = "Größe: ~ %sBytes"
	label_confirm_pad_h = "Leerraum: füge %i Pixel der Breite hinzu"
	label_confirm_pad_v = "Leerraum: füge %i Pixel der Höhe hinzu"
	label_confirm_crop_h = "Beschnitt: beschneide Breite um %i Pixel"
	label_confirm_crop_v = "Beschnitt: beschneide Höhe um %i Pixel"
	label_confirm_distort_h = "Skalierung: dehne Breite auf %i\%"
	label_confirm_distort_v = "Skalierung: dehne Höhe auf %i\%"
	label_confirm_format = "Format: %s"
	label_confirm_audio = "Audio: %s"
	label_confirm_audiodisabled = "deaktiviert"
	label_confirm_video = "Video: %s"
	label_confirm_duration = "Dauer: %s"
	label_confirm_offset = "Start: %s"

### PROCESS
	
	title_progress_window = "Wird bearbeitet..."
	title_progress_window_pass = "(Pass %i)"
	label_progress = "Die Datei wird bearbeitet..."
	text_progress = "Status der Datei\n%s"
	
### CREDITS
	
	credits = """%s - eine grafische Benutzeroberfläche für das
großartige Konvertierungstool ffmpeg für den Gnome-Desktop (PyGTK)

Version ist %s

Programmierung und Design %s
Icons: photogen:c SVG-Iconset
best viewed in oRainge GTK ;)

Veröffentlicht unter GPL"""
